/* dxp_client.h */

#ifndef DXPCLIENT_H
#define DXPCLIENT_H

///// INCLUDES (optional)
#include "dxp_common.h"
//#include "dxp_commands.h"

///// DEFINES
#define MAX_RESPONSE_SIZE		8		// NOTE: this is currently limited to 8! (which is a shortcoming!)

#define INPUT_OPEN		0
#define INPUT_CLOSED	1

#define OUTPUT_OPEN		0
#define OUTPUT_CLOSED	1

#define MIN_CYCLE_TIME	1
#define MAX_CYCLE_TIME	99

///// ENUMS


///// STRUCTURES
typedef struct {
	char username[MAX_USERNAME_SIZE+1];
	char password[MAX_PASSWORD_SIZE+1];
	char ipAddress[20];
	int ipPort;
	int channel;
	int time;
	int state;
	int cmndDesc;
	int param;
	int sel;
} tDxp;

typedef struct {
	unsigned char channel;
	unsigned char state;
	unsigned short pulseWidth;
} tPulseRelay;

typedef struct {
	unsigned char channel;
	unsigned char state;
} tChangeRelay;

typedef struct {
	unsigned char relayState[32];
} tChangeRelays;

///// GLOBALS
extern const char *error_text[];

///// FUNCTION PROTOTYPES


#endif

